Ubuntu 15.10 „nowy start”?

Nikogo nie powinno dziwić, że kiedy tylko pojawia się możliwość to… aktualizuję …buntu do wersji najnowszej/rozwojowej (taka ala dystrybucja ciągła).

Od kilkunastu już dni, Canonical, sukcesywnie wdraża w Ubuntu paczki kompilowane gcc5. Wspomnę, że paczki dla pozostałych wersji Ubuntu to gcc4.
Wiąże się z tym mały problem, bo twórcy Ubuntu zamiast dokonać normalnej aktualizacji dokonują kompilację… całego systemu!!, przy jednoczesnym wprowadzaniu w repozytoria Ubuntu paczek zastępujących już obecne np. gettext (0.19.2-2ubuntu1) potrzebuje do działania > libasprintf0c2 (0.19.2-2ubuntu1), ale już gettext (aktualizacja do nowej wersji – 0.19.4-1ubuntu3) potrzebuje do działania… libasprintf0v5 (0.19.4-1ubuntu3) przy czym, libasprintf0c2, zostaje usunięty z systemu!! i zastąpione libasprintf0v5. Oznacza to, że wszystkie paczki z poprzedniej wersji Ubuntu (15.04) odnoszące się do libasprintf0c2 nie będą mogły być zainstalowane na Ubuntu 15.10, bo posypią się zależności gettext (czyt. nie zainstalujesz nic z Ubuntu 15.04, bo będzie to konfliktowało z gettext, chyba że skasujesz ten plik, a przy okazji pociągnie to kasowanie za sobą inne zależności np. grub2)
Wiem, że to może pokręcone i zagmatwane, ale wygląda na to, że Canonical odcina się od poprzednich wersji …buntu (bo będzie to dotyczyć także kubuntu, lubuntu, czy xubuntu).

Rozumiem, że kompilowanie całego systemu na gcc5 to nie małe przedsięwzięcie. Ale dlaczego od razu blokować poprzednie wersji poprzez wprowadzenia w system paczek, tworząc nowe zależności, które usuwają te, które mogą pozwolić zainstalować elementy z poprzednich wersji?

Zauważyłem też, że od pewnego czasu w moim 15.10 przestały działać repo wydania 15.04 – błąd pobrania odpowiedniego pliku.
Dla mnie to jasny sygnał, że Canonical, w przypadku wydania 15.10 startuje… jakby od nowa z Ubuntu. Ciekawe, kiedy wezmą się pełną parą za unity8, bo jak na razie to nie bardzo nadaje się ten pulpit do testowania, już nie wspomnę o użytkowaniu.

2 thoughts on “Ubuntu 15.10 „nowy start”?

  1. Obawiam się, że będę musiał zrezygnować z ubuntowskiego Minta. Zainstalowałem nową wersję na netbooku i próbowałem zainstalować Kaffeine, do oglądania TV. Nie ma Kaffeine. Właściwie, to jest mój podstawowy problem, gdyż często korzystam do zapoznawania się z wiadomościami właśnie z Kaffeine. Czy istnieje jakiś program do odbioru TV pod egidą aktualnego Ubuntu?. Jeśli nie , to czego mogę oczekiwać od Minta DEBIANOWSKIEGO? Bardzo proszę o odpowiedź, bo mam jeszcze do zaktualizowania system na laptopie i boję się, że będę miał taka kaszanę, jaka mam teraz netbooku, gdzie po próbie instalacji potrzebnych programów okazuje się, że musiało mi powyrzucać połowę katalogu lib, bo się wszystko gryzie ze starszym oprogramowaniem. Reasumijąc:- Proszę o opinię na temat Debiana, a jeszcze lepiej gdyby na temat debianowskiego MINT-a z pulpitem XFCE.

    Lubię

    • Najlepsza rada to: nie aktualizować do 15.10, zanim się nie ukaże oficjalnie w wersji stabilnej. Każda aktualizacja z 15.04 do 15.10 będzie pociągać za sobą usunięcie większości paczek i instalację/zastąpienie ich wersjami …v5 (na końcu nazwy).
      Ale, nie trzeba aktualizować wszystkich paczek np. mesa, drm, sterowniki graficzne – warto pozostawić w oryginalnej wersji, razem z zależnościami.
      Jeśli ci zależy na aktualizacji do 15.10 to musisz wiedzieć, że w przypadku 15.10 aktualizacja powinna przebiegać małymi kroczkami np. alfabetycznie, albo jedynie po kilka pakietów, aby mieć baczenie na to, co jest kasowane, a co instalowane, i czy to co kasowane to czasem nie jest jakiś program którego używasz. To żmudny i męczący proces, bo mogą, pojawią się błędy z innymi paczkami.

      Co do Debiana, to tego problemu nie ma, ale zapomnij o lauchpad, albo instalacji paczek z Ubuntu/Mint.
      Co do kaffeine, to ubuntu posiada ten pakiet w swoim repo, więc nie rozumiem, dlaczego po dokonaniu aktualizacji repozytoriów, nie mogłeś go zainstalować – może nie były zaznaczone odpowiednie repo, aby było ono aktywne.
      Zawsze też możesz wprowadzić w synaptic, lub ręcznie w plik repo z launchpad (ppa) kaffeine, wybrane dla danej wersji dystrybucji.

      Lubię

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Log Out / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Log Out / Zmień )

Facebook photo

Komentujesz korzystając z konta Facebook. Log Out / Zmień )

Google+ photo

Komentujesz korzystając z konta Google+. Log Out / Zmień )

Connecting to %s